/* -*- c++ -*-
 * TkResolver++ - Psychokinesis testing software
 *
 * Copyright (C) 2007 Robert Ham <rah@bash.sh>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#ifndef __TK_EXP_ALGORITHM_SPEC_H__
#define __TK_EXP_ALGORITHM_SPEC_H__

#include <gtkmm.h>

#include "libtkcommon/tkstring.h"

namespace Tk {
  namespace Experimenter {

    class AlgorithmSpec : public Gtk::ComboBoxEntryText
      {
      public:
	AlgorithmSpec();
	String get_algorithm_spec() const;
      };

  } /* namespace Experimenter */
}; /* namespace Tk */

#endif /* __TK_EXP_ALGORITHM_SPEC_H__ */
