# /* -*- c++ -*-
 * TkResolver++ - Psychokinesis testing software
 *
 * Copyright (C) 2008 Robert Ham <rah@bash.sh>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#include "editor/create.h"

using namespace Tk::Editor;

Create:: Create(Domain &domain)
  : Gtk::Button("Create") 
{
  domain.signal_domain_changed().connect( sigc::mem_fun(*this, &Create::domain_changed) );
}

void
Create:: domain_changed(const Tk::String &domain)
{
  set_sensitive(domain != Tk::String("experiment"));
}
